#!/usr/bin/gawk -f

BEGIN{
  c = 299792459.;  # m/s

  sigma_Int = 0.01;  # assumed uncertainty

  print "# JD & lambda [m] & I_lambda [] normalised intensity & dataset"
}
(ARGIND==1) && (FNR>1){
  filename = "observed/" $1;
  jd[filename] = 2400000.0 + $2;
  vhelio[filename] = $3*1.e3;  # m/s
}
(ARGIND!=1) && !/^#/{
  lambda = $1*1.e-10;
  Int = $2;
#  Delta_lambda = -lambda * vhelio[filename]/c;  # this is NOT needed!
  Delta_lambda = 0.;
  dataset = FILENAME;
  idataset = ARGIND-1;

  printf("%.6f  %.8e  %.8f  %.8f  %d  %s\n", jd[FILENAME], lambda + Delta_lambda, Int, sigma_Int, idataset, dataset);
}

